/* NessusJ
 * Copyright (C) 1998 Alexis de Bernis
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * This class display the about window.
 *
 *  Please run class NessusJ instead.
 */



import java.awt.*;
import com.sun.java.swing.*;
import java.awt.event.*;



class AboutNessusJ extends JDialog implements WindowListener,ActionListener
{
    JLabel logo;
    JButton close;
    JPanel text,button;
    

    AboutNessusJ(JFrame parent)
    {
        super(parent,"About NessusJ",true);
        addWindowListener(this);

        logo=new JLabel(new ImageIcon("nessusj.gif"));
        getContentPane().setLayout(new GridLayout(2,0));
        close=new JButton("Close");
        close.addActionListener(this);
        text=new JPanel(new GridLayout(6,0));
        button=new JPanel(new FlowLayout());


        text.add(new JLabel("NessusJ Alpha 2 (980705)",JLabel.CENTER));
        text.add(new JLabel("Programmed by Alexis de Bernis",JLabel.CENTER));
        text.add(new JLabel("Copyright (c) 1998 Alexis de Bernis",JLabel.CENTER));
        text.add(new JLabel("<alexisb@mygale.org>",JLabel.CENTER));
        text.add(new JLabel("<http://www.nessus.org>",JLabel.CENTER));
        text.add(button);

        button.add(close);

        getContentPane().add(logo);
        getContentPane().add(text);

        pack();
        setResizable(false);
        setVisible(true);
        
    }


    public void windowClosing(WindowEvent evt)
    {
        dispose();
    }

    public void windowClosed(WindowEvent evt ) { }
    public void windowOpened(WindowEvent evt) { }
    public void windowOpening(WindowEvent evt ) { }
    public void windowIconified(WindowEvent evt ) { }
    public void windowActivated(WindowEvent evt ) { }
    public void windowDeiconified(WindowEvent evt ) { }
    public void windowDeactivated(WindowEvent evt ) { }


    public void actionPerformed(ActionEvent evt)
    {
        dispose();
    }
}
